> ## Documentation Index
> Fetch the complete documentation index at: https://facetai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dataset by ID

> Get information about a dataset using its unique processed dataset ID.



## OpenAPI

````yaml GET /datasets/{processed_dataset_id}
openapi: 3.1.0
info:
  title: Gemma Dataset Preprocessing Service
  description: A modular service for preprocessing datasets into ChatML format
  version: 2.0.0
servers:
  - url: https://preprocessing-service-433968519479.us-central1.run.app
security: []
paths:
  /datasets/{processed_dataset_id}:
    get:
      summary: Get Dataset Info
      description: Get information about a dataset using its unique processed dataset ID.
      operationId: get_dataset_info_datasets__processed_dataset_id__get
      parameters:
        - name: processed_dataset_id
          in: path
          required: true
          schema:
            type: string
            title: Processed Dataset Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetInfoResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    DatasetInfoResponse:
      properties:
        dataset_name:
          type: string
          title: Dataset Name
        dataset_subset:
          type: string
          title: Dataset Subset
        dataset_source:
          type: string
          enum:
            - upload
            - huggingface
          title: Dataset Source
        modality:
          type: string
          enum:
            - text
            - vision
          title: Modality
          default: text
        dataset_id:
          type: string
          title: Dataset Id
        processed_dataset_id:
          type: string
          title: Processed Dataset Id
        created_at:
          type: string
          title: Created At
        splits:
          items:
            type: object
          type: array
          title: Splits
      type: object
      required:
        - dataset_name
        - dataset_subset
        - dataset_source
        - dataset_id
        - processed_dataset_id
        - created_at
        - splits
      title: DatasetInfoResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````